Name:           unpaper
Version:        0.3
Release:        4%{?dist}
Summary:        Post-processing of scanned and photocopied book pages

Group:          Applications/Publishing
# Licensed under any GPL version since none is specified
License:        GPL+
URL:            http://unpaper.berlios.de
Source0:        http://download.berlios.de/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description
unpaper is a post-processing tool for scanned sheets of paper, especially for
book pages that have been scanned from previously created photocopies. The
main purpose is to make scanned book pages better readable on screen after
conversion to PDF. Additionally, unpaper might be useful to enhance the
quality of scanned pages before performing optical character recognition (OCR).
unpaper tries to clean scanned images by removing dark edges that appeared
through scanning or copying on areas outside the actual page content (e.g. dark
areas between the left-hand-side and the right-hand-side of a double- sided
book-page scan). The program also tries to detect disaligned centering and
rotation of pages and will automatically straighten each page by rotating it to
the correct angle. This process is called "deskewing".


%prep
%setup -q


%build
(cd src && gcc $RPM_OPT_FLAGS -o unpaper unpaper.c -lm)

# fix eol encoding in LICENSE
sed -i 's/\r//' LICENSE

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{_bindir}
install -p -m 0755 src/unpaper $RPM_BUILD_ROOT/%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/*
%doc doc CHANGELOG LICENSE README

%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.3-2
- Autorebuild for GCC 4.3

* Mon Jan 21 2008 Bernard Johnson <bjohnson@symetrix.com> - 0.3-1
- 0.3
- license clarification

* Mon Mar 19 2007 Bernard Johnson <bjohnson@symetrix.com> - 0_2-2
- repackage tgz file without included ELF binary

* Thu Mar 15 2007 Bernard Johnson <bjohnson@symetrix.com> - 0_2-1
- initial release
